/*
 * @Author: YKH
 * @Date: 2021-12-08 10:29:23
 * @LastEditTime: 2022-07-05 11:19:33
 * @Description: 
 * @FilePath: \cool-admin\cool-admin-vue-vue3-ts-vite\src\cool\modules\shuyou\service\game_target.ts
 */
import { BaseService, Permission, Service } from "/@/core";

@Service("shuyou/game_target")
class ShuyouGameTarget extends BaseService {
    @Permission("resetPay")
    resetPay(data: any) {
        return this.request({
            url: "/resetPay",
            method: "POST",
            data
        })
    }
    @Permission("handAddPayMz")
    handAddPayMz(data: any) {
        return this.request({
            url: "/handAddPayMz",
            method: "POST",
            data
        })
    }
    @Permission("forceAddPayMz")
    forceAddPayMz(data: any) {
        return this.request({
            url: "/forceAddPayMz",
            method: "POST",
            data
        })
    }
}

export default ShuyouGameTarget;
